%global momorel 3

%global py_ver %(python -c 'import sys;print(sys.version[0:3])')
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

%global realname gnome-python-desktop
%global real2name gnome-python2-desktop

Summary: The sources for additional PyGNOME Python extension modules for the GNOME desktop.
Name: gnome-python2-desktop
Version: 2.30.2
Release: %{momorel}m%{?dist}
URL: http://www.gnome.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{realname}/2.30/%{realname}-%{version}.tar.bz2
NoSource: 0

Patch0: gnome-python-desktop-2.29.1-totem-pl-parser-2.29.1.patch
License: LGPL
Group: Development/Languages
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: gnome-python2
BuildRequires: pygtk2 >= 2.14.1
BuildRequires: gnome-python2 >= 2.26.0
BuildRequires: gnome-panel-devel >= 2.25.92
BuildRequires: libgnomeprint22-devel >= 2.18.6
BuildRequires: libgnomeprintui22-devel >= 2.18.4
BuildRequires: gtksourceview-devel >= 1.8.5
BuildRequires: libwnck-devel >= 2.25.91
BuildRequires: totem-pl-parser-devel >= 2.29.1
BuildRequires: libgtop2-devel >= 2.26.0
BuildRequires: gnome-media-devel >= 2.25.92
BuildRequires: GConf2-devel >= 2.25.2
BuildRequires: librsvg2-devel >= 2.22.3
BuildRequires: pycairo-devel >= 1.8.2
BuildRequires: metacity-devel >= 2.25.144
BuildRequires: gnome-keyring-devel >= 2.26.0
BuildRequires: glib2-devel >= 2.20.0
BuildRequires: gnome-desktop-devel >= 2.29.0
BuildRequires: pygobject-devel >= 2.16.1
BuildRequires: evolution-devel >= 2.25.92
BuildRequires: gtk2-devel >= 2.16.0
BuildRequires: python-devel >= %{py_ver}
BuildRequires: bug-buddy >= 2.30.0-3m
BuildRequires: evince-devel >= 2.30.0
BuildRequires: brasero-devel >= 2.29.90
BuildRequires: evolution-data-server-devel >= 2.30.2

Obsoletes: gnome-python2-nautilus-cd-burner

%description
The gnome-python-desktop package contains the source packages for additional
Python bindings for GNOME. It should be used together with gnome-python.

%package -n gnome-python2-applet
Version: %{version}
Summary: Python bindings for GNOME Panel applets.
Group: Development/Languages
Requires: %{name} = %{version}-%{release}

Provides: %{real2name}-applet
Obsoletes: %{real2name}-applet
 
%description -n gnome-python2-applet
This module contains a wrapper that allows GNOME Panel applets to be
written in Python.
 
%package -n gnome-python2-bugbuddy
Version: %{version}
Summary: Python bindings for GNOME Bug-buddy
Group: Development/Languages
Requires: %{name} = %{version}-%{release}
Requires: bug-buddy

Provides: %{real2name}-bug-buddy
Obsoletes: %{real2name}-bug-buddy

%description -n gnome-python2-bugbuddy
This module contains a wrapper that allows the use of bug-buddy via
Python.

%package -n gnome-python2-evolution
Version: %{version}
Summary: Python bindings for GNOME evolution
Group: Development/Languages
Requires: %{name} = %{version}-%{release}
Requires: bug-buddy

Provides: %{real2name}-evolution
Obsoletes: %{real2name}-evolution

%description -n gnome-python2-evolution
This module contains a wrapper that allows the use of evolution via
Python.

%package -n gnome-python2-gnomeprint
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for interacting with libgnomeprint
Group: Development/Languages
Requires: libgnomeprint22, libgnomeprintui22

Provides: %{real2name}-gnomeprint
Obsoletes: %{real2name}-gnomeprint

%description -n gnome-python2-gnomeprint
This module contains a wrapper that allows the use of libgnomeprint via
Python.


%package -n gnome-python2-gtksourceview
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for interacting with the gtksourceview library
Group: Development/Languages
Requires:  gtksourceview

Provides: %{real2name}-gtksourceview
Obsoletes: %{real2name}-gtksourceview

%description -n gnome-python2-gtksourceview
This module contains a wrapper that allows the use of gtksourceview via
Python.


%package -n gnome-python2-libwnck
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for interacting with libwnck
Group: Development/Languages
Requires:  libwnck

Provides: %{real2name}-libwnck
Obsoletes: %{real2name}-libwnck

%description -n gnome-python2-libwnck
This module contains a wrapper that allows the use of libwnck via
Python.


%package -n gnome-python2-libgtop
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for interacting with libgtop
Group: Development/Languages
Requires:  libgtop2

Provides: %{real2name}-libgtop
Obsoletes: %{real2name}-libgtop

%description -n gnome-python2-libgtop
This module contains a wrapper that allows the use of libgtop via
Python.

%package -n gnome-python2-metacity
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for interacting with metacity
Group: Development/Languages
Requires:  metacity

Provides: %{real2name}-metacity
Obsoletes: %{real2name}-metacity

%description -n gnome-python2-metacity
This module contains a wrapper that allows the use of metacity
via Python.

%package -n gnome-python2-totem
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for interacting with totem
Group: Development/Languages

Provides: %{real2name}-totem
Obsoletes: %{real2name}-totem

%description -n gnome-python2-totem
This module contains a wrapper that allows the use of totem
via Python.

%package -n gnome-python2-rsvg
Summary: Python bindings for interacting with librsvg
Group: Development/Languages
Requires: librsvg2 >= 2.13.93

Provides: %{real2name}-rsvg
Obsoletes: %{real2name}-rsvg

%description -n gnome-python2-rsvg
This module contains a wrapper that allows the use of librsvg
via Python.

%package -n gnome-python2-gnomekeyring
Summary: Python bindings for interacting with gnome-keyring
License: LGPLv2
Group: Development/Languages
Requires: %{name} = %{version}-%{release}
Requires: gnome-keyring >= 0.5.0

Provides: %{real2name}-gnomekeyring
Obsoletes: %{real2name}-gnomekeyring

%description -n gnome-python2-gnomekeyring
This module contains a wrapper that allows the use of gnome-keyring
via Python.

%package -n gnome-python2-gnomedesktop
Summary: Python bindings for interacting with gnome-desktop
License: LGPLv2
Group: Development/Languages
Requires: %{name} = %{version}-%{release}
Requires: gnome-desktop >= 2.10.0

Provides: %{real2name}-gnomedesktop
Obsoletes: %{real2name}-gnomedesktop

%description -n gnome-python2-gnomedesktop
This module contains a wrapper that allows the use of gnome-desktop
via Python.

%package -n gnome-python2-evince
Summary: Python bindings for interacting with evince
License: LGPLv2
Group: Development/Languages
Requires: %{name} = %{version}-%{release}
Requires: evince >= 2.10.0

%description -n gnome-python2-evince
This module contains a wrapper that allows the use of evince
via Python.

%package -n gnome-python2-brasero
Summary: Python bindings for interacting with brasero
License: LGPLv2
Group: Development/Languages
Requires: %{name} = %{version}-%{release}
Requires: brasero

%description -n gnome-python2-brasero
This module contains a wrapper that allows the use of brasero
via Python.

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1 -b .totem-pl-parser
 
%build
autoreconf -vfi
%configure \
    --enable-metacity \
    --disable-nautilusburn
%make
 
%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS
%{_libdir}/pkgconfig/gnome-python-desktop-2.0.pc
%{_datadir}/pygtk/2.0/defs/*

%files -n gnome-python2-applet
%defattr(-,root,root,-)
%dir %{python_sitearch}/gtk-2.0/gnome/applet.*
%{python_sitearch}/gtk-2.0/gnomeapplet.so
%{python_sitearch}/gtk-2.0/gnomeapplet.la

%files -n gnome-python2-bugbuddy
%defattr(-,root,root,-)
%{python_sitearch}/gtk-2.0/bugbuddy.py*

%files -n gnome-python2-evolution
%defattr(-,root,root,-)
%{python_sitearch}/gtk-2.0/evolution

%files -n gnome-python2-gnomeprint
%defattr(-,root,root,-)
%{python_sitearch}/gtk-2.0/gnomeprint/
%{_datadir}/gtk-doc/html/pygnomeprint
%{_datadir}/gtk-doc/html/pygnomeprintui
%defattr(644,root,root,755)
%doc ../gnome-python-desktop-%{version}/examples/gnomeprint/*


%files -n gnome-python2-gtksourceview
%defattr(-,root,root,-)
%{python_sitearch}/gtk-2.0/gtksourceview.so
%{python_sitearch}/gtk-2.0/gtksourceview.la
%{_datadir}/gtk-doc/html/pygtksourceview
%defattr(644,root,root,755)
%doc ../gnome-python-desktop-%{version}/examples/gtksourceview/*

%files -n gnome-python2-libwnck
%defattr(-,root,root,-)
%{python_sitearch}/gtk-2.0/wnck.so
%{python_sitearch}/gtk-2.0/wnck.la

%files -n gnome-python2-libgtop
%defattr(-,root,root,-)
%{python_sitearch}/gtk-2.0/gtop.so
%{python_sitearch}/gtk-2.0/gtop.la

%files -n gnome-python2-metacity
%defattr(-,root,root,-)
%{python_sitearch}/gtk-2.0/metacity.so
%{python_sitearch}/gtk-2.0/metacity.la

%files -n gnome-python2-totem
%defattr(-,root,root,-)
%{python_sitearch}/gtk-2.0/mediaprofiles.so
%{python_sitearch}/gtk-2.0/mediaprofiles.la
%{python_sitearch}/gtk-2.0/totem

%files -n gnome-python2-rsvg
%defattr(-,root,root,-)
%{python_sitearch}/gtk-2.0/rsvg.so
%{python_sitearch}/gtk-2.0/rsvg.la

%files -n gnome-python2-gnomedesktop
%{python_sitearch}/gtk-2.0/gnomedesktop

%files -n gnome-python2-gnomekeyring
%defattr(-,root,root,-)
%{python_sitearch}/gtk-2.0/gnomekeyring.so
%{python_sitearch}/gtk-2.0/gnomekeyring.la

%files -n gnome-python2-evince
%defattr(-,root,root,-)
%{python_sitearch}/gtk-2.0/evince.so
%{python_sitearch}/gtk-2.0/evince.la

%files -n gnome-python2-brasero
%defattr(-,root,root,-)
%{python_sitearch}/gtk-2.0/braseroburn.so
%{python_sitearch}/gtk-2.0/braseroburn.la
%{python_sitearch}/gtk-2.0/braseromedia.so
%{python_sitearch}/gtk-2.0/braseromedia.la

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.30.2-3m)
- full rebuild for mo7 release

* Mon Jun 21 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.2-2m)
- rebuild against evolution-2.30.2

* Sat Jun 12 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.2-1m)
- update to 2.30.2

* Sun Apr 18 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.0-1m)
- update to 2.30.0

* Tue Feb 16 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.29.1-2m)
- rebuild against totem-pl-parser-2.29.1

* Mon Feb 15 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.29.1-1m)
- update to 2.29.1

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.28.0-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Tue Nov  3 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.0-2m)
- Obsolete nautilus-cd-burner

* Sat Sep 26 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.0-1m)
- update to 2.28.0

* Sun Mar 15 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.0-1m)
- update to 2.26.0

* Sat Feb 28 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.25.91-2m)
- fix BuildRequires

* Mon Feb 16 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.91-1m)
- update to 2.25.91

* Sat Feb 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.25.90-2m)
- add BuildRequires: evince >= 2.25.90

* Sun Feb  8 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.90-1m)
- update to 2.25.90

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.24.1-3m)
- rebuild against rpm-4.6

* Wed Dec 31 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.24.1-2m)
- rebuild agaisst python-2.6.1-1m

* Sat Dec 20 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.24.1-1m)
- update to 1.24.1

* Tue Sep 30 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.0-2m)
- welcome evolution-data-server

* Sun Sep 28 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.0-1m)
- update to 2.24.0
- good-bye evolution

* Sat Aug  9 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.22.0-5m)
- Requires: gnome-python2-desktop-gnomeprint -> gnome-python2-gnomeprint

* Mon Jul 21 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (2.22.0-4m)
- seperate package
- rename sub package

* Tue Apr 29 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22.0-3m)
- rebuild against totem-2.23.2-1m for firefox-3
- rebuild against librsvg2-2.22.2-3m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22.0-2m)
- rebuild against gcc43

* Thu Mar 13 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.0-1m)
- update to 2.22.0
- add package evolution

* Fri Sep 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-3m)
- rebuild against libwnck-2.20.0

* Mon Sep 17 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-2m)
- rebuild against totem-2.20.0

* Mon Sep 17 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-1m)
- update to 2.20.0
-- comment out libwnck (until libwnck-2.20.0)

* Fri Apr  6 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.18.0-2m)
- fix Provides and Obsoletes for upgrading from STABLE_3

* Tue Mar 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.0-1m)
- update to 2.18.0

* Thu Mar  1 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.93-1m)
- update to 2.17.93

* Mon Feb 26 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.92-1m)
- update to 2.17.92

* Mon Feb 19 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.4-2m)
- add package bug-buddy

* Sat Feb 17 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.3-1m)
- update to 2.17.3 (unstable)

* Sat Feb  3 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0-3m)
- rename gnome-python-desktop -> gnome-python2-desktop

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.16.0-2m)
- rebuild against python-2.5

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0-1m)
- updateo to 2.16.0

* Wed Jun  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.0-2m)
- delete duplicated files

* Wed Apr 12 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.14.0-1m)
- version 2.14.0
- first import from Fedora Core 5
